RagTime5ChartInternal::ClusterChart Struct Reference documentation

RagTime5ChartInternal::ClusterChart Struct Referencefinal

low level: the chart cluster data More...

Inheritance diagram for RagTime5ChartInternal::ClusterChart:

## Public Member Functions
| ClusterChart ()
| constructor
| ~ClusterChart () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
std::vector< RagTime5ClusterManager::Link > | m_valuesLink [2]
| some content zone: first a double zone, second link to sub text zone data
RagTime5ClusterManager::Link | m_typesLink
| list of type link
RagTime5ClusterManager::Link | m_unknownLink1
| unknown link of size 6
RagTime5ClusterManager::Link | m_unknownLink3
| unknown link of size 32
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

low level: the chart cluster data

## Constructor & Destructor Documentation

## ◆ ClusterChart()

RagTime5ChartInternal::ClusterChart::ClusterChart | ( |  | ) |
| inline

constructor

Referenced by ~ClusterChart().

## ◆ ~ClusterChart()

RagTime5ChartInternal::ClusterChart::~ClusterChart | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_typesLink

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_typesLink

list of type link

Referenced by ClusterChart().

## ◆ m_unknownLink1

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_unknownLink1

unknown link of size 6

Referenced by ClusterChart().

## ◆ m_unknownLink3

RagTime5ClusterManager::Link RagTime5ChartInternal::ClusterChart::m_unknownLink3

unknown link of size 32

Referenced by ClusterChart().

## ◆ m_valuesLink

std::vector<RagTime5ClusterManager::Link> RagTime5ChartInternal::ClusterChart::m_valuesLink[2]

some content zone: first a double zone, second link to sub text zone data

The documentation for this struct was generated from the following file:

- RagTime5Chart.cxx